function love.load()
	CelluleHexagonale = love.graphics.newImage("hexagone.png")
	Link = love.graphics.newImage("link.png")
	love.graphics.setBackgroundColor(131,192,240)
	posx = 1
	posy = 1
	x = 0
	y = 0
	c = 1
end

function love.draw()
--damier --hexagonal grid
	c = 1
	y = 0
	while y<576 do
		x = 0
		c = c+1								--compteur de ligne -- line number
		if c/2 ~= math.floor(c/2) then		--si ligne impaire, décaler -- if odd-numbered line , 16px right
			x = x+16
		end
		while x<768 do
			love.graphics.draw(CelluleHexagonale,x,y,0,1,1,0,0)
			x = x+32
		end
		y = y+24	--not 32 because of alternance
	end
--joueur --player blit
	love.graphics.draw(Link,posx,posy,0,1,1,0,0)
end


function love.keypressed(key, unicode)		--change controls as you like
	if key == 'kp7' or key == 'z' or key == 'a' then	--Here are all possible directions
		posx, posy = posx-16, posy-24	-- N-W
	elseif key == 'kp4' or key == 'q' then
		posx = posx-32	-- W
	elseif key == 'kp1' or key == 'kp2' or key == 'w' or key == 's' then
		posx, posy = posx-16, posy+24	-- S-W
	elseif key == 'kp3' or key == 'kp5' or key == 'x' or key == 'c' then
		posx, posy = posx+16, posy+24	-- S-E
	elseif key == 'kp6' or key == 'd' then
		posx = posx+32	-- E
	elseif key == 'kp9' or key == 'kp8' or key == 'e' then
		posx, posy = posx+16, posy-24 -- N-E
	end
end

function love.quit()
	print("Thanks for playing! Come back soon!")
	love.timer.sleep(1000)
end
